%define upstream_name    Socket-Packet
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Object interface to C<AF_PACKET> domain sockets
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Socket/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CChecker)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
To quote 'packet(7)':

 Packet sockets are used to receive or send raw packets at the device driver
 (OSI Layer 2) level. They allow the user to implement protocol modules in
 user space on top of the physical layer.

Sockets in the 'PF_PACKET' family get direct link-level access to the
underlying hardware (i.e. Ethernet or similar). They are usually used to
implement packet capturing, or sending of specially-constructed packets or
to implement protocols the underlying kernel does not recognise.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.110.0-5.mga10
+ Revision: 2012426
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.110.0-4.mga9
+ Revision: 1875109
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.110.0-3.mga9
+ Revision: 1795322
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.110.0-2.mga8
+ Revision: 1606997
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Jun 03 2020 tv <tv> 0.110.0-1.mga8
+ Revision: 1589889
- update to 0.11

* Sun Feb 16 2020 umeabot <umeabot> 0.100.0-14.mga8
+ Revision: 1530490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Aug 29 2019 tv <tv> 0.100.0-13.mga8
+ Revision: 1435082
- fix build with new glibc

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-12.mga7
+ Revision: 1293758
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-11.mga7
+ Revision: 1250133
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.100.0-10.mga7
+ Revision: 1166558
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.100.0-9.mga7
+ Revision: 1159097
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1033215
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 953038
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.100.0-6.mga6
+ Revision: 845283
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.100.0-5.mga6
+ Revision: 841653
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 749490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 686205
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-2.mga5
+ Revision: 631666
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.100.0-1.mga5
+ Revision: 581329
- New version 0.10

* Mon Jan 06 2014 pterjan <pterjan> 0.90.0-7.mga4
+ Revision: 565157
- Add upstream patch for the test failing due to kernel compat ioctl problem
- Disable a test passing in local iurt and autobuild but not on submit
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Sat Jun 02 2012 kharec <kharec> 0.90.0-1.mga3
+ Revision: 253295
- update to 0.09

* Wed May 30 2012 jquelin <jquelin> 0.80.0-2.mga3
+ Revision: 251117
- rebuild for perl 5.16

* Sat Nov 19 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 169418
- imported package perl-Socket-Packet

